SELECT Код_типа_окон INTO #TmpTable FROM Справочник_типов_окон
SET IDENTITY_INSERT Справочник_типов_окон ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_окон = 1) INSERT INTO Справочник_типов_окон (Код_типа_окон,Описание) VALUES (1,'из стеклоблоков')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_окон = 2) INSERT INTO Справочник_типов_окон (Код_типа_окон,Описание) VALUES (2,'обычные')

SET IDENTITY_INSERT Справочник_типов_окон OFF
DROP TABLE #TmpTable
